Package org.apache.sling.caconfig.resource.spi

## Interface CollectionInheritanceDecider

    @ConsumerType
    public interface CollectionInheritanceDecider

The `CollectionInheritanceDecider` is an SPI which should be used by all `ConfigurationResourceResolvingStrategy` implementations if they support inheritance for collections.

Since:
  1.1

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable InheritanceDecision` `decide​(@NotNull org.apache.sling.api.resource.Resource resource, @NotNull String bucketName)` Decide whether the provided resource should be included in the collection.

### Method Detail

#### decide

    @Nullable
    @Nullable InheritanceDecision decide​(@NotNull
                                         @NotNull org.apache.sling.api.resource.Resource resource,
                                         @NotNull
                                         @NotNull String bucketName)

Decide whether the provided resource should be included in the collection. The provided resource can either be included, excluded or blocked. If the decider can't decide it must return `null`.

Parameters:
  `bucketName` - The bucket name
  `resource` - The resource
Returns:
  The decision or `null`